Bug 967511 - [abrt] remmina-1.0.0-6.fc19: poll_for_event: Process /usr/bin/remmina was killed by signal 6 (SIGABRT)
[abrt] remmina-1.0.0-6.fc19: poll_for_event: Process /usr/bin/remmina was kil...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:cd5ef27a39ebdefb4fbd0759e3d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 06:29 EDT by Igor Gnatenko
Modified: 2014-08-18 04:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 04:27:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.09 KB, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (1.63 KB, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details
File: dso_list (12.63 KB, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details
File: environ (1.28 KB, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details
File: maps (63.69 KB, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details
File: open_fds (861 bytes, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details
File: var_log_messages (300 bytes, text/plain)
2013-05-27 06:29 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-05-27 06:29:09 EDT
Description of problem:
Nothing. Swith to remmina.

Version-Release number of selected component:
remmina-1.0.0-6.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        remmina
crash_function: poll_for_event
executable:     /usr/bin/remmina
kernel:         3.9.1-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #4 poll_for_event at xcb_io.c:270
 #5 poll_for_response at xcb_io.c:288
 #6 _XEventsQueued at xcb_io.c:362
 #7 XPending at Pending.c:55
 #8 gdk_check_xpending at gdkeventsource.c:266
 #9 gdk_event_source_check at gdkeventsource.c:303
 #10 g_main_context_check at /lib64/libglib-2.0.so.0
 #11 g_main_context_iterate.isra.22 at /lib64/libglib-2.0.so.0
 #12 __pthread_cleanup_routine at /usr/include/pthread.h:602

Potential duplicate: bug 704896
Comment 1 Igor Gnatenko 2013-05-27 06:29:13 EDT
Created attachment 753542 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-05-27 06:29:16 EDT
Created attachment 753543 [details]
File: cgroup
Comment 3 Igor Gnatenko 2013-05-27 06:29:19 EDT
Created attachment 753545 [details]
File: core_backtrace
Comment 4 Igor Gnatenko 2013-05-27 06:29:22 EDT
Created attachment 753546 [details]
File: dso_list
Comment 5 Igor Gnatenko 2013-05-27 06:29:25 EDT
Created attachment 753547 [details]
File: environ
Comment 6 Igor Gnatenko 2013-05-27 06:29:28 EDT
Created attachment 753548 [details]
File: limits
Comment 7 Igor Gnatenko 2013-05-27 06:29:31 EDT
Created attachment 753549 [details]
File: maps
Comment 8 Igor Gnatenko 2013-05-27 06:29:34 EDT
Created attachment 753550 [details]
File: open_fds
Comment 9 Igor Gnatenko 2013-05-27 06:29:37 EDT
Created attachment 753551 [details]
File: proc_pid_status
Comment 10 Igor Gnatenko 2013-05-27 06:29:40 EDT
Created attachment 753552 [details]
File: var_log_messages
Comment 11 Christoph Wickert 2014-05-22 07:35:12 EDT
Assigning bug to new package maintainer.
Comment 12 Pavel Alexeev 2014-08-18 04:27:27 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.